> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post payment pay 3d secure



## OpenAPI

````yaml IPG post /payment/pay-3d-secure
openapi: 3.0.1
info:
  title: IPG
  description: Ipg
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/ipg
    description: Staging
security:
  - default: []
paths:
  /payment/pay-3d-secure:
    post:
      tags:
        - IpgPaymentApis
      parameters:
        - name: WalletId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: TenantId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: OrganizationId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/PaymentRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PaymentRequestDto'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ThreeDSecureResponseDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ThreeDSecureResponseDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ThreeDSecureResponseDto'
      security:
        - default: []
components:
  schemas:
    PaymentRequestDto:
      type: object
      properties:
        merchantTransactionId:
          type: string
          nullable: true
        customerId:
          type: string
          nullable: true
        amount:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        orderType:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        destinationId:
          type: string
          nullable: true
        orderDescriptor:
          type: string
          nullable: true
        paymentBrand:
          type: string
          nullable: true
        paymentMode:
          type: string
          nullable: true
        terminalId:
          type: integer
          format: int32
        merchantRedirectUrl:
          type: string
          nullable: true
        notificationUrl:
          type: string
          nullable: true
        shipping:
          $ref: '#/components/schemas/ShippingRequestDto'
        customer:
          $ref: '#/components/schemas/CustomerRequestDto'
        card:
          $ref: '#/components/schemas/CardRequestDto'
      additionalProperties: false
    ThreeDSecureResponseDto:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/Value'
        isOk:
          type: boolean
        isErr:
          type: boolean
      additionalProperties: false
    ShippingRequestDto:
      type: object
      properties:
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        postcode:
          type: string
          nullable: true
        street1:
          type: string
          nullable: true
      additionalProperties: false
    CustomerRequestDto:
      type: object
      properties:
        telnocc:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        givenName:
          type: string
          nullable: true
        surname:
          type: string
          nullable: true
        customerId:
          type: string
          nullable: true
      additionalProperties: false
    CardRequestDto:
      type: object
      properties:
        number:
          type: string
          nullable: true
        expiryMonth:
          type: string
          nullable: true
        expiryYear:
          type: string
          nullable: true
        cvv:
          type: string
          nullable: true
      additionalProperties: false
    Value:
      type: object
      properties:
        id:
          type: string
          nullable: true
        paymentDetail:
          $ref: '#/components/schemas/PaymentDetail'
      additionalProperties: false
    PaymentDetail:
      type: object
      properties:
        paymentId:
          type: string
          nullable: true
        paymentBrand:
          type: string
          nullable: true
        paymentMode:
          type: string
          nullable: true
        paymentType:
          type: string
          nullable: true
        registrationId:
          nullable: true
        amount:
          type: integer
          format: int32
        currency:
          type: string
          nullable: true
        card:
          $ref: '#/components/schemas/Card'
        transactionStatus:
          type: string
          nullable: true
        merchantTransactionId:
          nullable: true
        result:
          $ref: '#/components/schemas/Result'
        descriptor:
          nullable: true
        remark:
          nullable: true
        timestamp:
          type: string
          nullable: true
        redirect:
          $ref: '#/components/schemas/Redirect'
      additionalProperties: false
    Card:
      type: object
      properties:
        bin:
          type: string
          nullable: true
        last4Digits:
          type: string
          nullable: true
        holder:
          type: string
          nullable: true
        expiryMonth:
          type: string
          nullable: true
        expiryYear:
          type: string
          nullable: true
      additionalProperties: false
    Result:
      type: object
      properties:
        code:
          type: integer
          format: int32
        description:
          type: string
          nullable: true
      additionalProperties: false
    Redirect:
      type: object
      properties:
        url:
          type: string
          nullable: true
        method:
          nullable: true
        target:
          nullable: true
        parameters:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Parameter'
      additionalProperties: false
    Parameter:
      type: object
      properties:
        name:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}
          x-scopes-bindings:
            Redirect-URL: ''

````